package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 素材使用记录对象 cms_material_use
 * 
 * @author libao
 * @date 2024-05-09
 */
public class CmsMaterialUse extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 素材ID */
    @Excel(name = "素材ID")
    private String materialId;

    /** 表名 */
    @Excel(name = "表名")
    private String useTable;

    /** 比如cms_album_material表的album_id字段 */
    @Excel(name = "比如cms_album_material表的album_id字段")
    private String useId;

    /** 比如cms_album_material表的album_id字段的列名“album_id” */
    @Excel(name = "比如cms_album_material表的album_id字段的列名“album_id”")
    private String useColumn;

    /** 创建人ID */
    @Excel(name = "创建人ID")
    private String userId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setMaterialId(String materialId) 
    {
        this.materialId = materialId;
    }

    public String getMaterialId() 
    {
        return materialId;
    }
    public void setUseTable(String useTable) 
    {
        this.useTable = useTable;
    }

    public String getUseTable() 
    {
        return useTable;
    }
    public void setUseId(String useId) 
    {
        this.useId = useId;
    }

    public String getUseId() 
    {
        return useId;
    }
    public void setUseColumn(String useColumn) 
    {
        this.useColumn = useColumn;
    }

    public String getUseColumn() 
    {
        return useColumn;
    }
    public void setUserId(String userId) 
    {
        this.userId = userId;
    }

    public String getUserId() 
    {
        return userId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("materialId", getMaterialId())
            .append("useTable", getUseTable())
            .append("useId", getUseId())
            .append("useColumn", getUseColumn())
            .append("userId", getUserId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .toString();
    }
}
